Bug 895997 - Qpid java client does not provide connection's qpid.client_ppid number
Qpid java client does not provide connection's qpid.client_ppid number
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
Development
Unspecified Unspecified
high Severity high
: 3.0
: ---
Assigned To: Rajith Attapattu
MRG Quality Engineering
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-16 08:06 EST by Frantisek Reznicek
Modified: 2015-11-15 20:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-04 11:22:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Reznicek 2013-01-16 08:06:24 EST
Description of problem:

As part of bug 845223 validation I found that qpid java client does not provide connection's  qpid.client_ppid number which is in contrary of bug 845223 requirements.


C++ and python clients are providing both qpid.client_pid and qpid.client_ppid.


Version-Release number of selected component (if applicable):
  python-qpid-0.18-4.el5
  python-qpid-qmf-0.18-13.el5
  qpid-cpp-client-0.18-13.el5
  qpid-cpp-client-devel-0.18-13.el5
  qpid-cpp-client-devel-docs-0.18-13.el5
  qpid-cpp-client-rdma-0.18-13.el5
  qpid-cpp-client-ssl-0.18-13.el5
  qpid-cpp-mrg-debuginfo-0.18-13.el5
  qpid-cpp-server-0.18-13.el5
  qpid-cpp-server-cluster-0.18-13.el5
  qpid-cpp-server-devel-0.18-13.el5
  qpid-cpp-server-rdma-0.18-13.el5
  qpid-cpp-server-ssl-0.18-13.el5
  qpid-cpp-server-store-0.18-13.el5
  qpid-cpp-server-xml-0.18-13.el5
  qpid-java-client-0.18-6.el5
  qpid-java-common-0.18-6.el5
  qpid-java-example-0.18-6.el5
  qpid-jca-0.18-6.el5
  qpid-jca-xarecovery-0.18-6.el5
  qpid-jca-zip-0.18-6.el5
  qpid-qmf-0.18-13.el5
  qpid-qmf-debuginfo-0.18-13.el5
  qpid-qmf-devel-0.18-13.el5
  qpid-tests-0.18-2.el5
  qpid-tools-0.18-7.el5
  rh-qpid-cpp-tests-0.18-13.el5
  ruby-qpid-qmf-0.18-13.el5


How reproducible:
100%

Steps to Reproduce:
1. start qpidd broker
2. start java reception client on a address (will hang waiting for messages)
3. qpid-stat -c
   qpid-tool <<< schema; list connection; show <>
  
Actual results:
  Any qpid java program does not provide qpid.client_ppid data.

Expected results:
  Every qpid java program should provide both qpid.client_pid and qpid.client_ppid data.

Additional info:

  [root@dhcp-27-156 bz845223]# qpid-stat -c
  Connections
    connection                            cproc              cpid  mech       auth            connected  idle  msgIn  msgOut
    ==========================================================================================================================
    10.34.27.156:5672-10.34.27.156:42838  event_receiver     9837  ANONYMOUS  anonymous@QPID  1m 52s     37s      0      9
    10.34.27.156:5672-10.34.27.156:42839  Qpid Java Client   9870  PLAIN      guest@QPID      1m 29s     37s      0      8
    10.34.27.156:5672-10.34.27.156:42840  event_receiver.py  9886  ANONYMOUS  anonymous@QPID  1m 22s     37s      0      8
    127.0.0.1:5672-127.0.0.1:46285        qpid-stat          9954  ANONYMOUS  anonymous@QPID  0s         0s       1      0
  [root@dhcp-27-156 bz845223]# qpid-tool
  Management Tool for QPID
  qpid: schema
  ...
  Object Summary:
      ID   Created   Destroyed  Index
      ====================================================================
      122  12:50:06  -          155.10.34.27.156:5672-10.34.27.156:42838
      123  12:50:29  -          155.10.34.27.156:5672-10.34.27.156:42839
      124  12:50:36  -          155.10.34.27.156:5672-10.34.27.156:42840
      125  12:52:12  -          155.127.0.0.1:5672-127.0.0.1:46286
  qpid: show 123
  Object of type: org.apache.qpid.broker:connection:_data(da359922-d832-2502-3452-676b2f276f43)
      Attribute          123
      =========================================================================================
      vhostRef           155
      address            10.34.27.156:5672-10.34.27.156:42839
      incoming           True
      SystemConnection   False
      userProxyAuth      False
      federationLink     False
      authIdentity       guest@QPID
      remoteProcessName  Qpid Java Client
      remotePid          9870
      remoteParentPid    absent
      shadow             False
      saslMechanism      PLAIN
      saslSsf            0
      remoteProperties   {u'product': u'qpid', u'qpid.client_version': u'0.18', u'qpid.session_flow': 1, u'qpid.client_process': u'Qpid Java Client', u'platform': u'OpenJDK Runtime Environment, 1.6.0_24-b24, Sun Microsystems Inc., i386, Linux, 2.6.18-348.el5, unknown', u'qpid.client_pid': 9870, u'clientName': u'test'}
      closing            False
      framesFromClient   21
      framesToClient     39
      bytesFromClient    1082
      bytesToClient      7345
      msgsFromClient     0
      msgsToClient       9
Comment 2 Rajith Attapattu 2013-02-28 16:48:02 EST
There is no platform independent way to get the parent pid.
Even the pid is obtained using a hack that will not work with every JVM.

We should therefore close this bz as "wont fix".

Rajith
Comment 3 Frantisek Reznicek 2013-03-04 02:46:31 EST
(In reply to comment #2)
> There is no platform independent way to get the parent pid.
> Even the pid is obtained using a hack that will not work with every JVM.
> 
> We should therefore close this bz as "wont fix".
> 
> Rajith

Hello Rajith,
thanks for your check.

I need to sadly agree with you looking at java ppid workarounds.
Documentation is reflecting current state atm already.

Could you possibly close this one as won't fix yourself, please?

Note You need to log in before you can comment on or make changes to this bug.